=== debian/changelog ===
deepin-keyring-whitebox (1.0.4) unstable; urgency=medium

  * update changelog.

 -- lichenggang <lichenggang@deepin.org>  Fri, 07 Mar 2025 15:34:12 +0800

deepin-keyring-whitebox (1.0.2) unstable; urgency=medium

  * fix: 修复部分场景无法使用白盒问题

 -- Chengqqi E <echengqi@uniontech.com>  Thu, 20 Feb 2025 18:20:35 +0800

deepin-keyring-whitebox (1.0.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: 增加对域管场景和清空密钥环场景的支持(Task: 262399)(Influence: keyring白盒功能)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 25 May 2023 14:20:35 +0800

deepin-keyring-whitebox (1.0.0) unstable; urgency=medium

  * init

 -- Tan Feng <tanfeng@uniontech.com>  Thu, 27 Apr 2023 17:33:52 +0800
