## deepin-keyring-whitebox 1.0.5

=== debian/changelog ===
deepin-keyring-whitebox (1.0.5) unstable; urgency=medium

  * feat: 支持根据快速登录的配置来决定是否切换白盒.

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 05 Jun 2025 14:35:12 +0800
