## deepin-keyring-whitebox 1.0.6

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -14,3 +14,8 @@
     pam.d/deepin-keyring-whitebox-password
 )
 install(FILES ${PAM_D} DESTINATION /etc/pam.d/)
+
+set(DCONFIG
+    "dsg-configs/org.deepin.dde.keyring.whitebox.json"
+)
+install(FILES ${DCONFIG} DESTINATION share/dsg/configs/org.deepin.dde.keyring/)
