=== debian/changelog ===
deepin-keyring-whitebox (1.0.6) unstable; urgency=medium

  * Fix: 启用微信扫码登录触发白盒
  * Feat: 优化密钥环提示，增加配置值开启白盒

 -- fuleyi <fuleyi@uniontech.com>  Fri, 29 Aug 2025 09:10:44 +0800
